com.sun.syndication.feed.atom

## Class Link

- java.lang.Object
- - com.sun.syndication.feed.atom.Link

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Link
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Bean for link elements of Atom feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Link()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getHref()` Returns the link href.
`java.lang.String` `getHreflang()` Returns the hreflang
`java.lang.String` `getHrefResolved()`
`long` `getLength()` Returns the length
`java.lang.String` `getRel()` Returns the link rel.
`java.lang.String` `getTitle()` Returns the link title.
`java.lang.String` `getType()` Returns the link type.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setHref(java.lang.String href)` Sets the link href.
`void` `setHreflang(java.lang.String hreflang)` Set the hreflang
`void` `setHrefResolved(java.lang.String hrefResolved)`
`void` `setLength(long length)` Set the length
`void` `setRel(java.lang.String rel)` Sets the link rel.
`void` `setTitle(java.lang.String title)` Sets the link title.
`void` `setType(java.lang.String type)` Sets the link type.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Link

    public Link()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getRel

    public java.lang.String getRel()

Returns the link rel.

Returns:
  the link rel, null if none.

#### setRel

    public void setRel(java.lang.String rel)

Sets the link rel.

Parameters:
  `rel` - the link rel,, null if none.

#### getType

    public java.lang.String getType()

Returns the link type.

Returns:
  the link type, null if none.

#### setType

    public void setType(java.lang.String type)

Sets the link type.

Parameters:
  `type` - the link type, null if none.

#### getHref

    public java.lang.String getHref()

Returns the link href.

Returns:
  the link href, null if none.

#### setHref

    public void setHref(java.lang.String href)

Sets the link href.

Parameters:
  `href` - the link href, null if none.

#### setHrefResolved

    public void setHrefResolved(java.lang.String hrefResolved)

#### getHrefResolved

    public java.lang.String getHrefResolved()

#### getTitle

    public java.lang.String getTitle()

Returns the link title.

Returns:
  the link title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the link title.

Parameters:
  `title` - the link title, null if none.

#### getHreflang

    public java.lang.String getHreflang()

Returns the hreflang

Returns:
  Returns the hreflang.
Since:
  Atom 1.0

#### setHreflang

    public void setHreflang(java.lang.String hreflang)

Set the hreflang

Parameters:
  `hreflang` - The hreflang to set.
Since:
  Atom 1.0

#### getLength

    public long getLength()

Returns the length

Returns:
  Returns the length.

#### setLength

    public void setLength(long length)

Set the length

Parameters:
  `length` - The length to set.